#pragma once
#include "Entity.h"
#define CS_FAN_UP_CREATENAME L"CS_fan_up"
class CS_Fan_Up :
    public Entity
{
public:
    CS_Fan_Up();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int act_no = 0;
    int ani_wait = 0;
};

std::shared_ptr<Entity> CreateCS_Fan_Up();